#!/usr/bin/env bash

# ----------------------------------------------------------
# --------------------Installing: Firefox-------------------
# ----------------------------------------------------------
echo '--- Installing: Firefox'
BASEDIR=$(dirname $0)
brew install firefox --appDir /Applications/hidden
tar -xvf $BASEDIR/firefox.tar -C /Applications
# ----------------------------------------------------------
echo 'Firefox is now installed correctly 🎉💪'


# ----------------------------------------------------------
# --------------Creating: profiles directories--------------
# ----------------------------------------------------------
echo '--- Creating: Firefox profiles directories'
mkdir ~/Library/Application\ Support/Firefox
mkdir ~/Library/Application\ Support/Firefox/Profiles
mkdir ~/Library/Application\ Support/Firefox/Profiles/private
mkdir ~/Library/Application\ Support/Firefox/Profiles/daily
mkdir ~/Library/Application\ Support/Firefox/Profiles/gov_bank
mkdir ~/Library/Application\ Support/Firefox/Profiles/shopping
mkdir ~/Library/Application\ Support/Firefox/Profiles/amazon
# ----------------------------------------------------------
echo 'Firefox profiles directories are now created 🎉💪'


# ----------------------------------------------------------
# ----------Downloading: updater.sh & prefCleaner.sh--------
# ----------------------------------------------------------
echo '--- Downloading: updater.sh & prefCleaner.sh'
curl https://raw.githubusercontent.com/arkenfox/user.js/master/updater.sh > ~/Library/Application\ Support/Firefox/Profiles/updater.sh
curl https://raw.githubusercontent.com/arkenfox/user.js/master/prefsCleaner.sh > ~/Library/Application\ Support/Firefox/Profiles/private/prefsCleaner.sh
curl https://raw.githubusercontent.com/arkenfox/user.js/master/prefsCleaner.sh > ~/Library/Application\ Support/Firefox/Profiles/daily/prefsCleaner.sh
curl https://raw.githubusercontent.com/arkenfox/user.js/master/prefsCleaner.sh > ~/Library/Application\ Support/Firefox/Profiles/gov_bank/prefsCleaner.sh
curl https://raw.githubusercontent.com/arkenfox/user.js/master/prefsCleaner.sh > ~/Library/Application\ Support/Firefox/Profiles/shopping/prefsCleaner.sh
curl https://raw.githubusercontent.com/arkenfox/user.js/master/prefsCleaner.sh > ~/Library/Application\ Support/Firefox/Profiles/amazon/prefsCleaner.sh
# ----------------------------------------------------------
echo 'updater.sh & prefCleaner.sh are now downloaded 🎉💪'


# ----------------------------------------------------------
# ------------Launching: profiles customization-------------
# ----------------------------------------------------------
bash $REPO_DIR/env_setup_mac/update/scripts/firefox_private.sh
bash $REPO_DIR/env_setup_mac/update/scripts/firefox_daily.sh
bash $REPO_DIR/env_setup_mac/update/scripts/firefox_gov_bank.sh
bash $REPO_DIR/env_setup_mac/update/scripts/firefox_shopping.sh
bash $REPO_DIR/env_setup_mac/update/scripts/firefox_amazon.sh


# ----------------------------------------------------------
# --------------Adding: Firefox cleanup alias---------------
# ----------------------------------------------------------
echo '--- Adding: Firefox cleanup alias'
echo "alias clean_ff='zsh $REPO_DIR/env_setup_mac/cleanup/browsers/firefox.sh'" >> ~/.zshrc
echo "alias clean_ff='bash $REPO_DIR/env_setup_mac/cleanup/browsers/firefox.sh'" >> ~/.bashrc
# ----------------------------------------------------------
echo 'Firefox aliases are now added correctly 🎉💪'


# ----------------------------------------------------------
# ----------------Disable Firefox telemetry-----------------
# ----------------------------------------------------------
echo '--- Disable Firefox telemetry'
# Enable Firefox policies so the telemetry can be configured.
sudo defaults write /Library/Preferences/org.mozilla.firefox EnterprisePoliciesEnabled -bool TRUE
# Disable sending usage data
sudo defaults write /Library/Preferences/org.mozilla.firefox DisableTelemetry -bool TRUE
# ----------------------------------------------------------
echo 'Firefox telemetry disabled correctly 🎉💪'
