#!/usr/bin/env bash

# ----------------------------------------------------------
# -------------------Installing: Homebrew-------------------
# ----------------------------------------------------------
echo '--- Installing: Homebrew'
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"
# ----------------------------------------------------------


# ----------------------------------------------------------
# ---------Disable Homebrew user behavior analytics---------
# ----------------------------------------------------------
echo '--- Disable Homebrew user behavior analytics'
command='export HOMEBREW_NO_ANALYTICS=1'
declare -a profile_files=("$HOME/.bash_profile" "$HOME/.zprofile")
for profile_file in "${profile_files[@]}"
do
    touch "$profile_file"
    if ! grep -q "$command" "${profile_file}"; then
        echo "$command" >> "$profile_file"
        echo "[$profile_file] Configured"
    else
        echo "[$profile_file] No need for any action, already configured"
    fi
done
# ----------------------------------------------------------


# ----------------------------------------------------------
# -----------Disable Homebrew insecure redirects------------
# ----------------------------------------------------------
echo '--- Disable Homebrew insecure redirects'
command='export HOMEBREW_NO_INSECURE_REDIRECT=1'
declare -a profile_files=("$HOME/.bash_profile" "$HOME/.zprofile")
for profile_file in "${profile_files[@]}"
do
    touch "$profile_file"
    if ! grep -q "$command" "${profile_file}"; then
        echo "$command" >> "$profile_file"
        echo "[$profile_file] Configured"
    else
        echo "[$profile_file] No need for any action, already configured"
    fi
done
# ----------------------------------------------------------


# ----------------------------------------------------------
# ------------------Homebrew requires SHA-------------------
# ----------------------------------------------------------
echo '--- Homebrew requires SHA'
command='export HOMEBREW_CASK_OPTS=--require-sha'
declare -a profile_files=("$HOME/.bash_profile" "$HOME/.zprofile")
for profile_file in "${profile_files[@]}"
do
    touch "$profile_file"
    if ! grep -q "$command" "${profile_file}"; then
        echo "$command" >> "$profile_file"
        echo "[$profile_file] Configured"
    else
        echo "[$profile_file] No need for any action, already configured"
    fi
done
# ----------------------------------------------------------


# ----------------------------------------------------------
# ---Creating hidden directory for hidden applications------
# ----------------------------------------------------------
echo '--- Creating hidden directory for hidden applications'
mkdir /Applications/hidden
chflags hidden /Applications/hidden
# ----------------------------------------------------------

echo 'Homebrew is now setup correctly 🎉💪'
